| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_hids_init_t Struct Reference
Human Interface Device Service

HID Service init structure. This contains all options and data needed for initialization of the service. More...

`#include <ble_hids.h>`

## Data Fields
ble_hids_evt_handler_t | evt_handler
ble_srv_error_handler_t | error_handler
bool | is_kb
bool | is_mouse
uint8_t | inp_rep_count
ble_hids_inp_rep_init_t * | p_inp_rep_array
uint8_t | outp_rep_count
ble_hids_outp_rep_init_t * | p_outp_rep_array
uint8_t | feature_rep_count
ble_hids_feature_rep_init_t * | p_feature_rep_array
ble_hids_rep_map_init_t | rep_map
ble_hids_hid_information_t | hid_information
uint8_t | included_services_count
uint16_t * | p_included_services_array
ble_srv_security_mode_t | security_mode_protocol
ble_srv_security_mode_t | security_mode_ctrl_point
ble_srv_cccd_security_mode_t | security_mode_boot_mouse_inp_rep
ble_srv_cccd_security_mode_t | security_mode_boot_kb_inp_rep
ble_srv_security_mode_t | security_mode_boot_kb_outp_rep

## Detailed Description

HID Service init structure. This contains all options and data needed for initialization of the service.

## Field Documentation

ble_srv_error_handler_t ble_hids_init_t::error_handler

Function to be called in case of an error.

ble_hids_evt_handler_t ble_hids_init_t::evt_handler

Event handler to be called for handling events in the HID Service.

uint8_t ble_hids_init_t::feature_rep_count

Number of Feature Report characteristics.

ble_hids_hid_information_t ble_hids_init_t::hid_information

Value of the HID Information characteristic.

uint8_t ble_hids_init_t::included_services_count

Number of services to include in HID service.

uint8_t ble_hids_init_t::inp_rep_count

Number of Input Report characteristics.

bool ble_hids_init_t::is_kb

TRUE if device is operating as a keyboard, FALSE if it is not.

bool ble_hids_init_t::is_mouse

TRUE if device is operating as a mouse, FALSE if it is not.

uint8_t ble_hids_init_t::outp_rep_count

Number of Output Report characteristics.

ble_hids_feature_rep_init_t* ble_hids_init_t::p_feature_rep_array

Information about the Feature Report characteristics.

uint16_t* ble_hids_init_t::p_included_services_array

Array of services to include in HID service.

ble_hids_inp_rep_init_t* ble_hids_init_t::p_inp_rep_array

Information about the Input Report characteristics.

ble_hids_outp_rep_init_t* ble_hids_init_t::p_outp_rep_array

Information about the Output Report characteristics.

ble_hids_rep_map_init_t ble_hids_init_t::rep_map

Information nedeed for initialization of the Report Map characteristic.

ble_srv_cccd_security_mode_t ble_hids_init_t::security_mode_boot_kb_inp_rep

Security settings for HID service Keyboard input report attribute

ble_srv_security_mode_t ble_hids_init_t::security_mode_boot_kb_outp_rep

Security settings for HID service Keyboard output report attribute

ble_srv_cccd_security_mode_t ble_hids_init_t::security_mode_boot_mouse_inp_rep

Security settings for HID service Mouse input report attribute

ble_srv_security_mode_t ble_hids_init_t::security_mode_ctrl_point

Security settings for HID service Control Point attribute

ble_srv_security_mode_t ble_hids_init_t::security_mode_protocol

Security settings for HID service protocol attribute